CancelInstanceTrafficPackageDowngrade
1. API Description
This API (CancelInstanceTrafficPackageDowngrade) is used to The API is used to cancel traffic package downgrade order.
2. Input Parameters
The following request parameter list only provides API request parameters.
instanceId
Yes
String
Instance ID.
To obtain the instance ID, you can call DescribeInstances and look for instanceId in the response.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
4. Code Example
Cancel traffic package downgrade order
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CancelInstanceTrafficPackageDowngrade
<Common Request Params>
Request:
{
"instanceId": "instanceId"
}
Response:
{
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
"response": {
"requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
}5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
403
OPERATION_DENIED_INTERNET_CHARGE_TYPE_NOT_SUPPORT
The specified InternetChargeType is not ByBandwidth.
404
INVALID_INSTANCE_NOT_FOUND
Instance does not exist.
403
OPERATION_DENIED_DOWNGRADE_NOT_EXIST
The specified instance does not have a traffic package downgrade order.
Last updated